Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.jena.creator
Class OwlProjectFromStreamCreator

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.factory.AbstractOwlProjectCreator
          edu.stanford.smi.protegex.owl.jena.creator.OwlProjectFromStreamCreator

    public class OwlProjectFromStreamCreator

extends AbstractOwlProjectCreator

Field Summary

Fields inherited from class edu.stanford.smi.protegex.owl.model.factory.AbstractOwlProjectCreator
`factory`

Constructor Summary
`OwlProjectFromStreamCreator()`
`OwlProjectFromStreamCreator(JenaKnowledgeBaseFactory factory)`

Method Summary
`void` | `addRepository(Repository repository)`
`void` | `clearRepositories()`
`void` | `create(Collection errors)`
`JenaOWLModel` | `getOwlModel()`
`edu.stanford.smi.protege.model.Project` | `getProject()`
`List<Repository>` | `getRepositories()`
`void` | `setStream(InputStream stream)`
`void` | `setXmlBase(String xmlBase)`

Methods inherited from class edu.stanford.smi.protegex.owl.model.factory.AbstractOwlProjectCreator
`addViewSettings, getFactory, insertRepositoriesIntoOwlModel, setDefaultClassView, setProfileURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OwlProjectFromStreamCreator

    public OwlProjectFromStreamCreator()

### OwlProjectFromStreamCreator

    public OwlProjectFromStreamCreator(JenaKnowledgeBaseFactory factory)

Method Detail

### create

    public void create(Collection errors)
                throws edu.stanford.smi.protege.exception.OntologyLoadException

  Specified by:
    `create` in class `AbstractOwlProjectCreator`
  Throws:
    `edu.stanford.smi.protege.exception.OntologyLoadException`

### getOwlModel

    public JenaOWLModel getOwlModel()

  Specified by:
    `getOwlModel` in class `AbstractOwlProjectCreator`

### getProject

    public edu.stanford.smi.protege.model.Project getProject()

  Specified by:
    `getProject` in class `AbstractOwlProjectCreator`

### setStream

    public void setStream(InputStream stream)

### setXmlBase

    public void setXmlBase(String xmlBase)

### addRepository

    public void addRepository(Repository repository)

### clearRepositories

    public void clearRepositories()

### getRepositories

    public List<Repository> getRepositories()

  Overrides:
    `getRepositories` in class `AbstractOwlProjectCreator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.